Last Comment Bug 684910 - [Aurora] - Remove 'Install as App' from site menu
: [Aurora] - Remove 'Install as App' from site menu
Status: VERIFIED FIXED
[qa-]
: verified-beta
Product: Fennec Graveyard
Classification: Graveyard
Component: General (show other bugs)
: Trunk
: x86 Linux
: -- normal (vote)
: Firefox 8
Assigned To: Mark Finkle (:mfinkle) (use needinfo?)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-06 10:40 PDT by Mark Finkle (:mfinkle) (use needinfo?)
Modified: 2011-09-29 05:04 PDT (History)
3 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch (1.25 KB, patch)
2011-09-06 10:40 PDT, Mark Finkle (:mfinkle) (use needinfo?)
fabrice: review+
Details | Diff | Review
patch 2 (2.11 KB, patch)
2011-09-06 14:49 PDT, Mark Finkle (:mfinkle) (use needinfo?)
mark.finkle: review+
christian: approval‑mozilla‑aurora+
Details | Diff | Review

Description Mark Finkle (:mfinkle) (use needinfo?) 2011-09-06 10:40:23 PDT
Created attachment 558522 [details] [diff] [review]
patch

The menu item was never intended to ship with Firefox. It's just a way to test some functionality in the Nightly. This patch removes the menu item from the site menu. This patch is only destined for Aurora, not Nightly.
Comment 1 [:fabrice] Fabrice Desré 2011-09-06 10:50:54 PDT
Comment on attachment 558522 [details] [diff] [review]
patch

Review of attachment 558522 [details] [diff] [review]:
-----------------------------------------------------------------

we also need to remove this line :
http://mxr.mozilla.org/mozilla-central/source/mobile/chrome/content/common-ui.js#183

r+ with this change
Comment 2 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-06 14:49:17 PDT
Created attachment 558624 [details] [diff] [review]
patch 2

Updated patch. Carrying Fabrice's r+ forward.

This patch is only for removing a small feature from the UI of Aurora. Requesting approval.
Comment 3 christian 2011-09-08 14:43:31 PDT
Comment on attachment 558624 [details] [diff] [review]
patch 2

Approved for releases/mozilla-aurora. Please land asap
Comment 4 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-09 12:35:04 PDT
http://hg.mozilla.org/releases/mozilla-aurora/rev/1b904630fdd7
Comment 5 juan becerra [:juanb] 2011-09-09 15:58:42 PDT
We're going to track for QA verification.

Also, if status-firefox9 is fixed, can we change the status to Resolved Fixed?
Comment 6 Mark Finkle (:mfinkle) (use needinfo?) 2011-09-09 18:01:07 PDT
Resolving, but this is not fixed in 9. We are only removing from aurora (8) for now.
Comment 7 Cristian Nicolae (:xti) 2011-09-28 02:32:47 PDT
Verified fixed on:
Mozilla/5.0 (Android;Linux armv7l;rv:8.0a2)Gecko/20110927
Firefox/8.0a2 Fennec/8.0a2
Device: Acer ICONIA A500
OS: Android 3.1

Note You need to log in before you can comment on or make changes to this bug.